Subject: bug#70856: 30.0.50; Hang when scrolling the echo-line with pixel-scroll-precision-mode

From: Charalampos Mitrodimas <[email-masked]>
Date: Thu, 09 May 2024 23:53:18 +0000

Steven Allen via "Bug reports for GNU Emacs, the Swiss army knife of text editors" <[email-masked]> writes:

> Scrolling (mouse-wheel) in the echo line when
> `pixel-scroll-precision-mode` is enabled hangs until `C-g` is pressed.
> To reproduce:
>
> 1. Run `emacs -Q`.
> 2. Enter `M-x pixel-scroll-precision-mode RET`
> 3. Move the mouse cursor to the echo area (minibuffer should be hidden).
> 4. Scroll with the mouse wheel. I'm using a trackpad with libinput
>    (xinput2) but I don't think that'll make a difference?

Hi Steven,

I was also able to reproduce it.

>
> This appears to be happening because the window is one-line high so
> there's obviously nothing to scroll.

I'm wondering if we should just check for one-line heights in the
pixel-scroll-precision function, like this:
    (when (> (window-total-height window) 1)

Thoughts?

--
C. Mitrodimas